#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xddeae969, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xbe7ba113, "");
SYMBOL_CRC(team_options_register, 0x9edf9b81, "");
SYMBOL_CRC(team_options_unregister, 0x6640dae6, "");
SYMBOL_CRC(team_option_inst_set_change, 0x9048076d, "");
SYMBOL_CRC(team_options_change_check, 0x80d38d50, "");
SYMBOL_CRC(team_mode_register, 0x06aded75, "");
SYMBOL_CRC(team_mode_unregister, 0x7cd886ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e52e6c3, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1b2be4d, "netlink_unicast" },
	{ 0xcef357c4, "netif_carrier_on" },
	{ 0x27a7c8f5, "netif_carrier_off" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x3fb9c64c, "dev_set_promiscuity" },
	{ 0x1afe01ee, "dev_set_allmulti" },
	{ 0x19f4d35a, "dev_uc_unsync" },
	{ 0x2bbf6560, "dev_mc_unsync" },
	{ 0x9908b833, "dev_set_mtu" },
	{ 0x45e2735e, "netdev_err" },
	{ 0x76c64c4, "__dynamic_netdev_dbg" },
	{ 0xc6963179, "dev_kfree_skb_any_reason" },
	{ 0x92db7a9c, "dev_uc_sync_multiple" },
	{ 0x275a299a, "dev_mc_sync_multiple" },
	{ 0x550a2316, "vlan_vid_del" },
	{ 0xcbbcef07, "vlan_vid_add" },
	{ 0x7e9320e5, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x17555119, "__alloc_skb" },
	{ 0x6b79ca41, "genlmsg_put" },
	{ 0x9c4ee9b3, "sk_skb_reason_drop" },
	{ 0x10b96a28, "register_netdevice" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9b7d290, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xca7e99ef, "rtnl_link_register" },
	{ 0xc0ab68c4, "genl_register_family" },
	{ 0xbc7a763b, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfc2cd2b7, "genl_unregister_family" },
	{ 0x698cdd06, "__dev_queue_xmit" },
	{ 0x77f6d8e2, "netpoll_send_skb" },
	{ 0x6ab5dbe5, "netlink_broadcast_filtered" },
	{ 0x9da92798, "skb_clone" },
	{ 0xabc15dbc, "consume_skb" },
	{ 0xcd0b047c, "netdev_lower_state_changed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0xa6d2f69d, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0xb395a0aa, "__netpoll_free" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x33ebf8e8, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe2926bc9, "dev_get_by_index" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf8157a3c, "skb_trim" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa40e49d2, "__nlmsg_put" },
	{ 0xe9e169c9, "__ethtool_get_link_ksettings" },
	{ 0x49b3873f, "netdev_warn" },
	{ 0x45d3d43e, "try_module_get" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x93ac9e62, "netdev_info" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xb1ae51c3, "netdev_has_upper_dev" },
	{ 0xeee2c4d3, "dev_uc_flush" },
	{ 0x9a6ed563, "dev_mc_flush" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe1b6acef, "dev_open" },
	{ 0x52e51143, "vlan_uses_dev" },
	{ 0x7c984d0d, "vlan_vids_add_by_dev" },
	{ 0x996185f1, "netdev_rx_handler_register" },
	{ 0x64f88911, "netdev_master_upper_dev_link" },
	{ 0x481b3dc0, "netdev_upper_dev_unlink" },
	{ 0x267a1bfa, "netdev_rx_handler_unregister" },
	{ 0x576e07ac, "vlan_vids_del_by_dev" },
	{ 0x9a4feac1, "dev_close" },
	{ 0xbc86c1a8, "dev_disable_lro" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe5d91b7b, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x549713b6, "passthru_features_check" },
	{ 0x7f33faab, "ethtool_op_get_link" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD394827C02BE3E7B147EE0");
MODULE_INFO(rhelversion, "9.5");
