#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x791b3cde, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x809676f2, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x3c6be296, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xa1f5b26c, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x1a0634f2, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x310b479f, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x4884c405, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x01cc205d, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x477ab52f, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x714e76de, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x6f8626b1, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xcd2bb596, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x34d912fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45d3d43e, "try_module_get" },
	{ 0x1d93733c, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3bdd306b, "_dev_info" },
	{ 0x7e9320e5, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf02f4820, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xe26b1185, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x673807af, "device_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6414cb71, "class_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7a97c086, "__nvme_submit_sync_cmd" },
	{ 0x80cc906b, "_dev_warn" },
	{ 0x6eb55a99, "misc_register" },
	{ 0xdd13fa37, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6b3dfd27, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xede25634, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xbd6b3c80, "seq_puts" },
	{ 0xcfb1798a, "single_release" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x282efc0c, "key_lookup" },
	{ 0x4dbba665, "single_open" },
	{ 0x555ccb97, "up_read" },
	{ 0x6c94b11a, "class_register" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9fd1d4ae, "nvme_auth_negotiate" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "E0F4C930F3A7D46C53DE377");
MODULE_INFO(rhelversion, "9.5");
