#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0xc2c5be25, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x053070f7, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x93eb7ac6, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0xb45d241a, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x1e28e37a, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x8c813614, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0x0b4d6279, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xe1f90bcf, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xa06138b0, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x5b37b7cf, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xe17f3352, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x2c29f2f8, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xd16667d5, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xc78cae8e, "_gpl");
SYMBOL_CRC(qeth_poll, 0xb2993c87, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x9348da3b, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x20792106, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x946f94d9, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0xb81db3b7, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x71643df2, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x261e2beb, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0xe3b2fb03, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xdc02fe47, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0xce2784a4, "_gpl");
SYMBOL_CRC(qeth_features_check, 0xdea96bb7, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x3b596f15, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x2e281ad2, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x3a6fffd9, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x69e0abc3, "_gpl");
SYMBOL_CRC(qeth_open, 0xb61a24e6, "_gpl");
SYMBOL_CRC(qeth_stop, 0x35525411, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fa3ee1a, "ccw_device_get_cssid" },
	{ 0xd4d6bae7, "napi_alloc_skb" },
	{ 0x31074508, "alloc_etherdev_mqs" },
	{ 0xb7958f95, "ccw_device_halt" },
	{ 0xf8e743a9, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xeb370651, "qdio_shutdown" },
	{ 0xe52fdece, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa0c52bd7, "ccwgroup_set_offline" },
	{ 0x7a49e9e8, "vmemmap" },
	{ 0xc62f1e6b, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6ba37f0f, "skb_copy_bits" },
	{ 0x1d49259f, "qdio_allocate" },
	{ 0x11792226, "qdio_inspect_output_queue" },
	{ 0x44b56017, "skb_put" },
	{ 0x43ca0072, "skb_tstamp_tx" },
	{ 0xd6d771ef, "netdev_update_features" },
	{ 0xabc15dbc, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x288bfdfd, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc1e2d1f9, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x80fac18f, "skb_add_rx_frag" },
	{ 0x8968a4b6, "debug_set_level" },
	{ 0x35851829, "register_service_level" },
	{ 0x9f16c787, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc22a632d, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x52eecfbe, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x10fab8e, "qdio_add_bufs_to_output_queue" },
	{ 0xa34feaec, "__netif_napi_del" },
	{ 0x566957a6, "kmem_cache_create" },
	{ 0x7c743b61, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x9b7d290, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd88db10b, "qdio_get_ssqd_desc" },
	{ 0x9fae898e, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x31405637, "pskb_expand_head" },
	{ 0x8771cc4d, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xca0a8ba6, "eth_type_trans" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xd4df2eaf, "napi_complete_done" },
	{ 0xa30a0a94, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb7284369, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xb95037d9, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x50087a40, "__napi_schedule" },
	{ 0x88e7ae3a, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xccde91ef, "netif_device_detach" },
	{ 0x16c81b5d, "__free_pages" },
	{ 0xdcbf71a2, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x3bdd306b, "_dev_info" },
	{ 0x350afff2, "napi_gro_receive" },
	{ 0xad304657, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xdd07fdc6, "ccwgroup_probe_ccwdev" },
	{ 0x4a077047, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe26b1185, "_dev_err" },
	{ 0x5e96b504, "softnet_data" },
	{ 0x65daa663, "ccw_device_get_id" },
	{ 0xe471e5fe, "__root_device_register" },
	{ 0x6f9d40cd, "ccw_device_get_ciw" },
	{ 0xb9992125, "netif_set_real_num_tx_queues" },
	{ 0x9c4ee9b3, "sk_skb_reason_drop" },
	{ 0x6fbd5026, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x20df456c, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x25ae34a1, "skb_push" },
	{ 0x4245a838, "kmem_cache_free" },
	{ 0x55153b99, "ccwgroup_driver_register" },
	{ 0xca75fd8c, "debugfs_remove" },
	{ 0x4a1e787d, "napi_enable" },
	{ 0xdfe1911d, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6f7a4d3b, "__debug_sprintf_event" },
	{ 0x7f33faab, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd6722ce6, "netif_tx_stop_all_queues" },
	{ 0x3cc044e5, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xe10fb7cc, "ccw_device_set_offline" },
	{ 0x80cc906b, "_dev_warn" },
	{ 0xc0debe11, "ccw_driver_register" },
	{ 0xc87379d1, "netif_schedule_queue" },
	{ 0x9c0e7e1d, "__alloc_pages" },
	{ 0x16f1217e, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0xffe9644e, "netdev_set_tc_queue" },
	{ 0x21fcbb05, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x92848ea, "__pskb_pull_tail" },
	{ 0x7bf227a1, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0x9862ec85, "kthread_create_on_node" },
	{ 0x2693f172, "debug_hex_ascii_view" },
	{ 0xff4d7c10, "debug_unregister" },
	{ 0x6b3dfd27, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xadf6bbbe, "ccwgroup_driver_unregister" },
	{ 0xc584cc, "ccwgroup_remove_ccwdev" },
	{ 0x528acf2b, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4787c030, "ccw_device_get_iid" },
	{ 0x6733c7b5, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27a7c8f5, "netif_carrier_off" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd43f6f7e, "ccw_device_set_online" },
	{ 0x9a29d7c5, "netdev_set_num_tc" },
	{ 0x341db4bd, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcfb1798a, "single_release" },
	{ 0x40b3da0d, "qdio_add_bufs_to_input_queue" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x26ae8c99, "__napi_schedule_irqoff" },
	{ 0xa2086c5f, "napi_schedule_prep" },
	{ 0xfe1b424a, "napi_consume_skb" },
	{ 0x95af270a, "debug_sprintf_view" },
	{ 0x983a9bf4, "qdio_stop_irq" },
	{ 0xb6f31c94, "napi_disable" },
	{ 0xdab51483, "qdio_free" },
	{ 0x4dbba665, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb72c0750, "debugfs_create_dir" },
	{ 0xe574c506, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x6b159f56, "ccw_driver_unregister" },
	{ 0x2ab93224, "skb_clone_tx_timestamp" },
	{ 0xf59be6d4, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x506ef0a7, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x14ebeeed, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "60B32CA78D5BA8BE32CB6FA");
MODULE_INFO(rhelversion, "9.5");
