#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x1ead0d49, "");
SYMBOL_CRC(sas_remove_host, 0x20de44b6, "");
SYMBOL_CRC(sas_get_address, 0x2d8841dc, "");
SYMBOL_CRC(sas_tlr_supported, 0xb6c17fd6, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x7bfa3229, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xcb7d2ba8, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x36575763, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x3629b2b7, "");
SYMBOL_CRC(sas_phy_add, 0x8678b333, "");
SYMBOL_CRC(sas_phy_free, 0x225ef344, "");
SYMBOL_CRC(sas_phy_delete, 0x92a1860e, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x6edee823, "");
SYMBOL_CRC(sas_port_alloc, 0xad4f4dc6, "");
SYMBOL_CRC(sas_port_alloc_num, 0xb042e513, "");
SYMBOL_CRC(sas_port_add, 0x38f6d00c, "");
SYMBOL_CRC(sas_port_free, 0x4bd1e9ea, "");
SYMBOL_CRC(sas_port_delete, 0xbf0db5f4, "");
SYMBOL_CRC(scsi_is_sas_port, 0xc7a3a56f, "");
SYMBOL_CRC(sas_port_get_phy, 0x79a169bb, "");
SYMBOL_CRC(sas_port_add_phy, 0xd093e4f3, "");
SYMBOL_CRC(sas_port_delete_phy, 0xe4157be0, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xf0ff2750, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x45a3334d, "");
SYMBOL_CRC(sas_end_device_alloc, 0xb8889b03, "");
SYMBOL_CRC(sas_expander_alloc, 0xb1c7c191, "");
SYMBOL_CRC(sas_rphy_add, 0xd7080d66, "");
SYMBOL_CRC(sas_rphy_free, 0xb307f91c, "");
SYMBOL_CRC(sas_rphy_delete, 0x7d6f0320, "");
SYMBOL_CRC(sas_rphy_unlink, 0xfd333a62, "");
SYMBOL_CRC(sas_rphy_remove, 0xe6702486, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x733902f5, "");
SYMBOL_CRC(sas_attach_transport, 0xb189026c, "");
SYMBOL_CRC(sas_release_transport, 0xeb56135d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x708a8d08, "device_for_each_child" },
	{ 0xdc39621f, "scsi_remove_host" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfb061cd, "device_add" },
	{ 0x626b00d2, "transport_add_device" },
	{ 0x9a9a23e6, "transport_configure_device" },
	{ 0xe7a4a90d, "device_del" },
	{ 0x7b032e3a, "transport_destroy_device" },
	{ 0xbdb55e4d, "transport_remove_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7c743b61, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6079a640, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6471647, "scsi_scan_target" },
	{ 0xff762c2b, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0xdae03a59, "bsg_remove_queue" },
	{ 0x8bb5d7cf, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x77c94cca, "transport_class_register" },
	{ 0x83718c34, "transport_class_unregister" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x90b4e8bc, "attribute_container_register" },
	{ 0xace1f44f, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x50ce7614, "dev_printk" },
	{ 0x44a766b8, "scsi_get_vpd_page" },
	{ 0x889358d5, "scsi_mode_sense" },
	{ 0x74f446f4, "attribute_container_unregister" },
	{ 0x6f49ac2, "scsi_is_host_device" },
	{ 0x80cc906b, "_dev_warn" },
	{ 0x2998b994, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe4bd9cd8, "dma_opt_mapping_size" },
	{ 0x68712d1a, "device_initialize" },
	{ 0xe30259bf, "dev_set_name" },
	{ 0x8a10f1b7, "transport_setup_device" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD20F899892BC2907C464A8");
MODULE_INFO(rhelversion, "9.5");
