#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xbceb78ca, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x0eeb6e59, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xd1e4dfc0, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x3f5fb228, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x0e0722ed, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xd8d048d9, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xd7cb4f9e, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xfaf90bb3, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x61a15062, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x4fd9f8f0, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xa2d2f0c7, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x47562f23, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x937cd7fc, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x25a8a169, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x7849e487, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x58c059b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe30259bf, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0x27c55f71, "cdev_device_del" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x68712d1a, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x52eecfbe, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7c743b61, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8771cc4d, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x9ee325f0, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x15c8ccd2, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3e27d07d, "bus_unregister" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xca75fd8c, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc3ba1882, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9862ec85, "kthread_create_on_node" },
	{ 0x6b3dfd27, "seq_read" },
	{ 0x528acf2b, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x198c67d3, "param_ops_bool" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x9bbd5d93, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbd6b3c80, "seq_puts" },
	{ 0xcfb1798a, "single_release" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0xefa4f987, "param_ops_int" },
	{ 0x4dbba665, "single_open" },
	{ 0xb72c0750, "debugfs_create_dir" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdcd1c236, "cdev_init" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x82caba2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5D4F50138AA50B387CAC4AC");
MODULE_INFO(rhelversion, "9.5");
