#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x3a1afc1e, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x45b0a22d, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x197b4104, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x05141654, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x43ce1111, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a5615c7, "__do_once_done" },
	{ 0x5c3b6497, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x863d5b05, "dev_pre_changeaddr_notify" },
	{ 0x955e11c, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x1d6b3940, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd6d771ef, "netdev_update_features" },
	{ 0xabc15dbc, "consume_skb" },
	{ 0xa2e1c63d, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xda735091, "dev_uc_sync" },
	{ 0xca7e99ef, "rtnl_link_register" },
	{ 0x28792088, "netif_inherit_tso_max" },
	{ 0x927e099a, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d3ee601, "ip_route_output_flow" },
	{ 0x4fc4f72a, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x19f4d35a, "dev_uc_unsync" },
	{ 0x9b7d290, "ether_setup" },
	{ 0x45e2735e, "netdev_err" },
	{ 0x826f0e6e, "netdev_upper_dev_link" },
	{ 0x88bbe520, "register_pernet_subsys" },
	{ 0x4ea1c82c, "netdev_core_stats_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x9540b27, "eth_header_parse" },
	{ 0x267a1bfa, "netdev_rx_handler_unregister" },
	{ 0xa72e2444, "eth_header_cache_update" },
	{ 0x42b93e49, "nf_register_net_hooks" },
	{ 0x3b30a3b2, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9a61ada7, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd53887f5, "__dev_get_by_index" },
	{ 0xbc7a763b, "rtnl_link_unregister" },
	{ 0x5170fe42, "skb_pull" },
	{ 0x9c4ee9b3, "sk_skb_reason_drop" },
	{ 0xa45791cf, "netif_stacked_transfer_operstate" },
	{ 0x481b3dc0, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd133136a, "ns_capable" },
	{ 0xe8a48b33, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7f33faab, "ethtool_op_get_link" },
	{ 0xe9e169c9, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x9cb0ff59, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x92848ea, "__pskb_pull_tail" },
	{ 0x39f79c9e, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x43c5b265, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x698cdd06, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcbbcef07, "vlan_vid_add" },
	{ 0x33ebf8e8, "call_netdevice_notifiers" },
	{ 0x550a2316, "vlan_vid_del" },
	{ 0x1afe01ee, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9da92798, "skb_clone" },
	{ 0x141d3242, "dst_release" },
	{ 0x996185f1, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x593f65de, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x2bbf6560, "dev_mc_unsync" },
	{ 0xe85c5cf4, "dev_change_flags" },
	{ 0x771cd53c, "dev_forward_skb" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x10b96a28, "register_netdevice" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE2D5128EE1C3DD1AD23711");
MODULE_INFO(rhelversion, "9.5");
