#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xc0855350, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58773391, "nvme_remove_admin_tag_set" },
	{ 0xa2d4ebf8, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7a49e9e8, "vmemmap" },
	{ 0xa2e5ec40, "nvme_uninit_ctrl" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc82914ba, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0x3339f714, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8fbc2475, "nvme_stop_keep_alive" },
	{ 0x3c16db80, "blk_mq_complete_request_remote" },
	{ 0x948ea3ea, "dma_unmap_page_attrs" },
	{ 0x98548c69, "nvme_setup_cmd" },
	{ 0x6e914a5a, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x2263ff35, "nvme_alloc_admin_tag_set" },
	{ 0x310b479f, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x809676f2, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x810046f4, "nvme_delete_ctrl" },
	{ 0x7c743b61, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb3bb9540, "dev_driver_string" },
	{ 0x791b3cde, "nvmf_get_address" },
	{ 0x51601f9, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf1e761da, "nvme_remove_io_tag_set" },
	{ 0x2adced56, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x795ef34c, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x477ab52f, "nvmf_unregister_transport" },
	{ 0xd3e72e77, "blkcg_get_fc_appid" },
	{ 0x1a6b4d56, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x821138d3, "nvme_change_ctrl_state" },
	{ 0x3bdd306b, "_dev_info" },
	{ 0xc8912b28, "nvme_init_ctrl" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x3def7acb, "nvme_alloc_io_tag_set" },
	{ 0x19cd57b4, "nvme_fail_nonready_command" },
	{ 0x514c6875, "kobject_uevent_env" },
	{ 0x9207fed1, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe26b1185, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x673807af, "device_create" },
	{ 0xf7f46f5d, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0x3365266a, "__blk_rq_map_sg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3c6be296, "nvmf_reg_read64" },
	{ 0x6414cb71, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1a0634f2, "nvmf_connect_admin_queue" },
	{ 0xd4919c62, "nvme_enable_ctrl" },
	{ 0xcc8302f4, "nvme_unquiesce_admin_queue" },
	{ 0x80cc906b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0x232977bc, "nvme_unquiesce_io_queues" },
	{ 0xfdaae6bf, "blk_mq_update_nr_hw_queues" },
	{ 0xa1f5b26c, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4884c405, "nvmf_should_reconnect" },
	{ 0x7022184f, "__dma_sync_single_for_device" },
	{ 0x7ca21ff6, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xede25634, "device_destroy" },
	{ 0xfeefc597, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x1cc205d, "nvmf_register_transport" },
	{ 0x6d4629a7, "blk_mq_start_request" },
	{ 0x856dd42f, "nvme_quiesce_io_queues" },
	{ 0x2a230d4f, "blk_mq_tagset_busy_iter" },
	{ 0x8368c6fb, "nvme_stop_ctrl" },
	{ 0x30d6d752, "dma_unmap_sg_attrs" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0xa76b62c7, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x7b69df9e, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xd9308f3b, "nvme_quiesce_admin_queue" },
	{ 0x6c94b11a, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa64ed190, "__nvme_check_ready" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xadc06ecc, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "A319BAF902B852A503C5282");
MODULE_INFO(rhelversion, "9.5");
