#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x13517a52, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x9f42e75d, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xd6e27065, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x645935f1, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xb6c243be, "");
SYMBOL_CRC(fuse_abort_conn, 0x8bd2f389, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x012a3872, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x9485adae, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x0a01e2bb, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xbb8c2914, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x3ebc7cfd, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x84fecbe1, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x29b6b48e, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x7d2cd351, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xdc255589, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x00885024, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x335562c8, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x4cf61516, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x1b2ea325, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xec490129, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xc33daaf3, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x94a43793, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xe000030a, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x00669666, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xe96e0361, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x5db046f8, "");
SYMBOL_CRC(fuse_do_ioctl, 0x58b784a6, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x47c3cde4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x653caec0, "super_setup_bdi_name" },
	{ 0xd52ea152, "posix_test_lock" },
	{ 0x51d7c403, "truncate_inode_pages" },
	{ 0x1bdf4058, "generic_copy_file_range" },
	{ 0x8ad0766c, "noop_backing_dev_info" },
	{ 0xd79ec919, "pipe_lock" },
	{ 0xacdad41a, "generic_fillattr" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x193a688e, "vfs_fsync_range" },
	{ 0x31599141, "setattr_prepare" },
	{ 0xc2433829, "clear_nlink" },
	{ 0x2742771b, "file_check_and_advance_wb_err" },
	{ 0x29958080, "d_alloc_parallel" },
	{ 0x7a49e9e8, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7abb9bef, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x1d93733c, "misc_deregister" },
	{ 0xf8661864, "clear_inode" },
	{ 0x63478b48, "inode_to_bdi" },
	{ 0xa06534c0, "find_pid_ns" },
	{ 0x66bed300, "grab_cache_page_write_begin" },
	{ 0xf579da4f, "simple_dir_inode_operations" },
	{ 0x10ca1d5f, "pipe_unlock" },
	{ 0x494c69f9, "fs_param_is_string" },
	{ 0xaf1d971, "folio_unlock" },
	{ 0x478bece1, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd66ad7cf, "new_inode" },
	{ 0xdf06ab98, "filemap_map_pages" },
	{ 0xaca0aef0, "complete" },
	{ 0xc7f01282, "dump_page" },
	{ 0x69720fff, "forget_all_cached_acls" },
	{ 0x53a9fee6, "init_special_inode" },
	{ 0x6c5a13a7, "unregister_filesystem" },
	{ 0xd11f7398, "task_active_pid_ns" },
	{ 0x2f541026, "iov_iter_single_seg_count" },
	{ 0xbffbf440, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd8cb556e, "posix_acl_default_xattr_handler" },
	{ 0x88efaa69, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x9cc1e0cb, "d_alloc_name" },
	{ 0xbbcb411f, "replace_page_cache_folio" },
	{ 0xadb5b66c, "inode_query_iversion" },
	{ 0xfc34b43f, "iov_iter_advance" },
	{ 0xb518896, "kill_fasync" },
	{ 0x490e3f8d, "d_make_root" },
	{ 0x7ca50083, "sb_set_blocksize" },
	{ 0x74ce36fd, "fget" },
	{ 0xebe73630, "simple_fill_super" },
	{ 0x3e17de6e, "xas_find" },
	{ 0xf68eca43, "invalidate_mapping_pages" },
	{ 0xd5f7ac1c, "sync_filesystem" },
	{ 0xf8cf6407, "noop_dirty_folio" },
	{ 0x481e0d67, "sget_fc" },
	{ 0x32144911, "param_set_uint" },
	{ 0x42453e11, "d_splice_alias" },
	{ 0x69cf8cca, "iov_iter_get_pages2" },
	{ 0xf90c88f9, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2745440, "page_get_link" },
	{ 0x4b6af50b, "generic_permission" },
	{ 0xb98d4fe4, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x64bff9ed, "invalidate_inode_pages2_range" },
	{ 0xcc536569, "posix_lock_file" },
	{ 0x483065b3, "finish_open" },
	{ 0xd12c4e05, "dax_iomap_rw" },
	{ 0xfed2c783, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xfa368d00, "logfc" },
	{ 0x7c024903, "iter_file_splice_write" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x281d3548, "init_pid_ns" },
	{ 0x7524bebb, "dax_iomap_fault" },
	{ 0xc39f2922, "iov_iter_init" },
	{ 0x959a8910, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x763fa9b9, "sysfs_create_mount_point" },
	{ 0x99ef4b27, "generic_file_write_iter" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x440861eb, "register_filesystem" },
	{ 0x566957a6, "kmem_cache_create" },
	{ 0xd71b2773, "folio_add_lru" },
	{ 0x290459b1, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5866ea27, "sync_inode_metadata" },
	{ 0x50721b0c, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf4a1aa25, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x1949d29e, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xc9309fed, "get_tree_nodev" },
	{ 0xc96a9b1, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x910a1e13, "fs_param_is_u32" },
	{ 0xa543bb6f, "inode_newsize_ok" },
	{ 0xda3d7101, "d_drop" },
	{ 0x2504d766, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x68099162, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x6e307f11, "bdi_put" },
	{ 0xb35a44a9, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x2dc0223b, "param_get_uint" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3993080b, "make_kuid" },
	{ 0x9f2a0b59, "truncate_inode_pages_final" },
	{ 0xdfa9ff38, "fs_kobj" },
	{ 0x7e496bd2, "__filemap_set_wb_err" },
	{ 0x7f5fe842, "simple_dir_operations" },
	{ 0x68b5a413, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x16c81b5d, "__free_pages" },
	{ 0xdcbf71a2, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xdb40fe4, "put_pid_ns" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0xd3897377, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x1056b8a5, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xf2a0af80, "fs_context_for_submount" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf05918ec, "inode_init_once" },
	{ 0xa7a16566, "file_write_and_wait_range" },
	{ 0x6a00d80a, "compat_ptr_ioctl" },
	{ 0x1abf37df, "nosteal_pipe_buf_ops" },
	{ 0xfa7a26b9, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9d72f234, "inode_nohighmem" },
	{ 0xd699635d, "release_pages" },
	{ 0xc387de4b, "generic_file_direct_write" },
	{ 0x91513a2f, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x4f523b61, "generic_file_read_iter" },
	{ 0x982be915, "inode_maybe_inc_iversion" },
	{ 0x1965051a, "unlock_page" },
	{ 0xfb420b7c, "inc_node_page_state" },
	{ 0x90e5362a, "thp_get_unmapped_area" },
	{ 0x4dea1053, "memchr" },
	{ 0xf2e2888e, "truncate_pagecache" },
	{ 0xebb55ba9, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xd6b31939, "dec_node_page_state" },
	{ 0xbd40d9c, "write_cache_pages" },
	{ 0xd5bb7b9d, "file_update_time" },
	{ 0x6b45c8dd, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4245a838, "kmem_cache_free" },
	{ 0x1b0159d2, "from_kgid" },
	{ 0x7964e01a, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb37079fa, "file_remove_privs" },
	{ 0x1f659060, "write_inode_now" },
	{ 0x1f8f05ea, "dax_writeback_mapping_range" },
	{ 0x14fcd9ce, "d_obtain_alias" },
	{ 0xb64ef28d, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x96925d53, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf28d1a31, "finish_no_open" },
	{ 0x8dbb1184, "__folio_start_writeback" },
	{ 0xeb7db052, "kill_litter_super" },
	{ 0xdec51474, "folio_end_writeback" },
	{ 0x14fa26a0, "from_kuid" },
	{ 0xf79ee22f, "current_in_userns" },
	{ 0xe24ee61c, "fc_mount" },
	{ 0xe5ce2fc7, "sysfs_remove_mount_point" },
	{ 0x6eb55a99, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x160db980, "make_kgid" },
	{ 0x6a954527, "should_remove_suid" },
	{ 0xece784c2, "rb_first" },
	{ 0x714fb159, "d_delete" },
	{ 0x902a525c, "from_kgid_munged" },
	{ 0xba6e6e04, "end_page_writeback" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x50c89aea, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0xac2d7427, "wb_writeout_inc" },
	{ 0xe798236d, "jiffies" },
	{ 0x73e363b4, "nonseekable_open" },
	{ 0x96a0057b, "dax_finish_sync_fault" },
	{ 0xd563f015, "set_page_dirty" },
	{ 0x9e28a963, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x11d91c03, "redirty_page_for_writepage" },
	{ 0xa54df581, "noop_direct_IO" },
	{ 0x830dc0ef, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x39c918d6, "generic_read_dir" },
	{ 0x776d99f8, "d_add" },
	{ 0xa273552a, "set_page_writeback" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2783515b, "init_user_ns" },
	{ 0x521fb2b9, "d_find_alias" },
	{ 0x32d3ca62, "invalidate_inode_pages2" },
	{ 0x4a3746e0, "alloc_pages" },
	{ 0x8d303a53, "inc_nlink" },
	{ 0x64f170c2, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8373b1ae, "get_tree_bdev" },
	{ 0xde5bf769, "set_anon_super_fc" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0xc892d31e, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1e13e9ac, "generic_delete_inode" },
	{ 0x3109bd15, "deactivate_locked_super" },
	{ 0x182f2e3b, "touch_atime" },
	{ 0xbe859b11, "__percpu_down_read" },
	{ 0xaa21c47b, "__d_lookup_unhash_wake" },
	{ 0x6d69c6f0, "set_page_dirty_lock" },
	{ 0xa316e85c, "pid_nr_ns" },
	{ 0xf62b11b6, "posix_acl_access_xattr_handler" },
	{ 0xf9c65f9e, "generic_file_open" },
	{ 0x2034725f, "truncate_inode_pages_range" },
	{ 0x96ad597c, "__put_user_ns" },
	{ 0x16f7ff30, "__folio_lock" },
	{ 0xa6d9da4d, "filemap_dirty_folio" },
	{ 0x9bf8ee56, "pagecache_get_page" },
	{ 0xbd6b3c80, "seq_puts" },
	{ 0xb02b97b1, "stream_open" },
	{ 0xa71dcd5, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x20f56ae0, "__wake_up_sync" },
	{ 0xf31fed3d, "add_to_pipe" },
	{ 0xfd5b0c9e, "__fs_parse" },
	{ 0x7740462d, "dax_layout_busy_page_range" },
	{ 0x565671df, "posix_acl_to_xattr" },
	{ 0xe1df8dff, "dget_parent" },
	{ 0x9a61a7c7, "kill_anon_super" },
	{ 0x7cfba79b, "from_kuid_munged" },
	{ 0x676155ff, "dotdot_name" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x3e5d81e1, "iget5_locked" },
	{ 0x4a5f38fb, "security_dentry_init_security" },
	{ 0xf21138aa, "filemap_write_and_wait_range" },
	{ 0xbaef7fb2, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc154889e, "generic_write_checks" },
	{ 0x67ef1038, "iov_iter_revert" },
	{ 0x5aee6df, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8863186f, "mntget" },
	{ 0x8274ab3d, "kmem_cache_alloc_lru" },
	{ 0xaf2f551f, "filemap_fault" },
	{ 0xcb8c7802, "d_invalidate" },
	{ 0xe52ac5f0, "__mark_inode_dirty" },
	{ 0x6ef7c664, "generic_file_llseek" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x555ccb97, "up_read" },
	{ 0x69f6921d, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xa3f98e3f, "drop_nlink" },
	{ 0xedea50d7, "fault_in_iov_iter_readable" },
	{ 0x1239f90c, "filemap_check_errors" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x39e56ab7, "bdi_set_max_ratio" },
	{ 0x14ebeeed, "kmem_cache_destroy" },
	{ 0x6dc6f871, "kobject_put" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE10B105E5A59625EF47B7C");
MODULE_INFO(rhelversion, "9.5");
